﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CardViewSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> collection { get; set; }
        public ViewModel()
        {
            collection = new ObservableCollection<Model>();
            collection.Add(new Model()
            {
                headerimage = "Images/audi.png",
                recordnum = "Record 1",
                Name = "Venza",
                trademark = "Audi",
                Photo = "Images/car.jpg",
                Price = "$234",
                Category = "CrossOver and SUV",
                BodyStyle = "Sport utility vehicle",
                Modification = "LF FD"
            });
            collection.Add(new Model()
            {
                headerimage = "Images/toyoto.png",
                recordnum = "Record 2",
                Name = "Audi",
                trademark = "Ford",
                Photo = "Images/car.jpg",
                Category = "CrossOver and SUV",
                Price = "$444",
                BodyStyle = "Sport utility vehicle",
                Modification = "LF FD"
            });
            collection.Add(new Model()
            {
                headerimage = "Images/audi.png",
                recordnum = "Record 3",
                Name = "Audi",
                trademark = "audi",
                Photo = "Images/car.jpg",
                Category = "CrossOver and SUV",
                Price = "$444",
                BodyStyle = "Sport utility vehicle",
                Modification = "LF FD"
            });
            collection.Add(new Model()
            {
                headerimage = "Images/toyoto.png",
                recordnum = "Record 4",
                Name = "Audi",
                trademark = "Ford",
                Photo = "Images/car.jpg",
                Category = "CrossOver and SUV",
                Price = "$444",
                BodyStyle = "Sport utility vehicle",
                Modification = "LF FD"
            });

        }
    }

    public class Model
    {
        public Model()
        {

        }
         


        public string headerimage { get; set; }

        public string recordnum { get; set; }

        public string trademark { get; set; }

        public string Name { get; set; }

        public string Modification { get; set; }

        public string Category { get; set; }

        public string BodyStyle { get; set; }

        public string Photo { get; set; }

        public string Price { get; set; }


    }
}
